Subject: Re: Recording
From: "Mike" <[email-masked]>
To: "Bridges, Josh" <[email-masked]>
Date: Fri, 4 Jan 2008 13:27:22 -0500

I was able to get the correct number.  603-635-3336.  The company is Pelham Auto Finance in NH.  Apparently, calls were made within the past few weeks.  My thought is that there probably is more than one company calling him.  I'm adding them to the Do Not Mail list as well.  Let me know what you come up with.
Thank you,
Mike - LLPS
  ----- Original Message ----- 
  From: Bridges, Josh 
  To: Mike 
  Sent: Friday, January 04, 2008 1:01 PM
  Subject: Recording

  Mike,

  I do not have a recording for either of those numbers or any number that starts with 
  603-635.

   

  Mike N and Gary D have been removed from the program for good.

  Please let me know if you need anything else from me to help you.

  Thanks

  Josh